javax.servlet.jsp.el

## Class ScopedAttributeELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - javax.servlet.jsp.el.ScopedAttributeELResolver

    public class ScopedAttributeELResolver
    extends javax.el.ELResolver

Since:
  2.1

### Field Summary

### Fields inherited from class javax.el.ELResolver

`RESOLVABLE_AT_DESIGN_TIME, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`ScopedAttributeELResolver()`

### Method Summary

Methods
`java.lang.Class<java.lang.String>` `getCommonPropertyType(javax.el.ELContext context, java.lang.Object base)`
`java.util.Iterator<java.beans.FeatureDescriptor>` `getFeatureDescriptors(javax.el.ELContext context, java.lang.Object base)`
`java.lang.Class<java.lang.Object>` `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`boolean` `isReadOnly(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`void` `setValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

### Methods inherited from class javax.el.ELResolver

`invoke`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopedAttributeELResolver

    public ScopedAttributeELResolver()

### Method Detail

#### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                            java.lang.Object base,
                            java.lang.Object property)
                              throws java.lang.NullPointerException,
                                     javax.el.PropertyNotFoundException,
                                     javax.el.ELException

Specified by:
  `getValue` in class `javax.el.ELResolver`
Throws:
  `java.lang.NullPointerException`
  `javax.el.PropertyNotFoundException`
  `javax.el.ELException`

#### getType

    public java.lang.Class<java.lang.Object> getType(javax.el.ELContext context,
                                            java.lang.Object base,
                                            java.lang.Object property)
                                              throws java.lang.NullPointerException,
                                                     javax.el.PropertyNotFoundException,
                                                     javax.el.ELException

Specified by:
  `getType` in class `javax.el.ELResolver`
Throws:
  `java.lang.NullPointerException`
  `javax.el.PropertyNotFoundException`
  `javax.el.ELException`

#### setValue

    public void setValue(javax.el.ELContext context,
                java.lang.Object base,
                java.lang.Object property,
                java.lang.Object value)
                  throws java.lang.NullPointerException,
                         javax.el.PropertyNotFoundException,
                         javax.el.PropertyNotWritableException,
                         javax.el.ELException

Specified by:
  `setValue` in class `javax.el.ELResolver`
Throws:
  `java.lang.NullPointerException`
  `javax.el.PropertyNotFoundException`
  `javax.el.PropertyNotWritableException`
  `javax.el.ELException`

#### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                     java.lang.Object base,
                     java.lang.Object property)
                       throws java.lang.NullPointerException,
                              javax.el.PropertyNotFoundException,
                              javax.el.ELException

Specified by:
  `isReadOnly` in class `javax.el.ELResolver`
Throws:
  `java.lang.NullPointerException`
  `javax.el.PropertyNotFoundException`
  `javax.el.ELException`

#### getFeatureDescriptors

    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                                         java.lang.Object base)

Specified by:
  `getFeatureDescriptors` in class `javax.el.ELResolver`

#### getCommonPropertyType

    public java.lang.Class<java.lang.String> getCommonPropertyType(javax.el.ELContext context,
                                                          java.lang.Object base)

Specified by:
  `getCommonPropertyType` in class `javax.el.ELResolver`